// Go to DFT mode
set_context dft -scan
read_verilog ../netlists/cpu.v
read_cell_library ../lib/atpglib
analyze_control_signals -auto
// Insert scan chains
set_system_mode analysis
insert_test_logic -scan on -number 4
report_scan_chains
report_scan_cells
// Write netlist and setup files for ATPG
write_design -output_file ../netlists/cpu_scan.v -replace
write_atpg_setup ../2_atpg/atpg_setup -replace
exit
