set_context patterns -scan
read_verilog ./netlist/c1.v
set_current_design c1
set_system_mode analysis

set_fault_type stuck // set stuck-at fault model
add_fault -all

// Fault simulation for pattern #1
set_pattern_source external ./patt/p1.ascii -ascii
simulate_patterns // run fault simulation
report_statistics > ./patt/p1.fa
report_faults -class detected >> ./patt/p1.fa

// Fault simulation for pattern #2
reset_state
set_pattern_source external ./patt/p2.ascii -ascii
simulate_patterns
report_statistics > ./patt/p2.fa
report_faults -class detected >> ./patt/p2.fa

// Fault simulation for pattern #3
reset_state
set_pattern_source external ./patt/p3.ascii -ascii
simulate_patterns
report_statistics > ./patt/p3.fa
report_faults -class detected >> ./patt/p3.fa

// Fault simulation for pattern #4
reset_state
set_pattern_source external ./patt/p4.ascii -ascii
simulate_patterns
report_statistics > ./patt/p4.fa
report_faults -class detected >> ./patt/p4.fa

// Fault simulation for pattern # 5
reset_state
set_pattern_source external ./patt/p5.ascii -ascii
simulate_patterns
report_statistics > ./patt/p5.fa
report_faults -class detected >> ./patt/p5.fa

exit -d
